module Docker
  class Id
    def self.create(id)
      id = new(id)
      id.id.empty? ? nil : id
    end

    attr_reader :id
    def initialize(id)
      @id = id.to_s[0..11]
      validate!
    end

    alias_method :to_s, :id
    alias_method :to_str, :id

    def validate!
      valid = id.length >= 12 && 
        id =~ /^[0-9a-z]+$/ && id !~ /^[^0-9a-z]$/ &&
        id =~/[0-9]/ && id =~ /[a-z]/
      valid ? id : (@id = '')
    end

    def method_missing(method, *args, &block)
      if id.respond_to?(method)
        id.__send__(method, *args, &block)
      else
        super
      end
    end
  end
end

