module Docker
  class Image
    extend Docker::Helpers
    extend Docker::Equality

    attr_reader :id
    def initialize(id)
      @id = id[0..11]
    end

    def self.build(path, name)
      name = "#{Docker::USER_NAME}/#{name}" 
      repo, tag = name.split(':')
      id = `docker build -t #{name} #{path}`[-13..-2]
      tag ? Tag.new(repo, tag) : Repository.new(id, repo)
    end

    def remove!
      `docker rmi #{id}`
    end

    def inspekt
      Docker.inspekt(id)
    end

    def image_id
      id
    end

    def to_s
      id
    end

    def repositories 
      Docker.images.select { |repo| repo == self }
    end
  end
end
