require 'json'

module Docker
  class Inspect

    attr_reader :inspekt
    def initialize(id)
      @id = id[0..11]
      @inspekt = JSON.load(`docker inspect #{@id}`).first
    end

    def name
      inspekt["Name"][1..-1]
    end
    
    def env
      inspekt["Config"]["Env"].each_with_object({}) do |e,h| 
        pair = e.split('=') 
        h[pair.first] = pair.last
      end
    end

    def ip_address
      inspekt["NetworkSettings"]["IPAddress"]
    end

    def ports
      inspekt["NetworkSettings"]["Ports"]
    end

    def state 
      inspekt["State"]
    end

    def to_s
      inspekt.to_s
    end
  end

  class NullInspect
    def method_missing(*)
      return nil
    end
  end
end
