module Docker
  module Rails
    class Console < Docker::Container

      extend Docker::Helpers
      
      def initialize(id)
        super
      end

      def self.run(path, postgres, options)
        image   = "#{rails_image(path.name)}"
        options += " -it --name rails-console-#{path.name} " +
                   "--rm -e PG_HOST=#{postgres.ip} "         + 
                   "--link db:db -v #{path}:/usr/src/app "   
        command = 'rails console'

        docker_cmd = "docker run #{options} #{image} #{command}"
        Docker::Interactive.warn(docker_cmd)
        docker_cmd
      end

      def self.load(id, path)
        run(path)
      end
    end
  end
end


