module Docker
  module Ruby

    extend Helpers
    extend Docker
    extend self
    
    def build(app_path)
      path = Docker::PATH(app_path)
      Docker.build(path, "ruby-#{path.name}")
    end

    def run_irb(app_path, flags = '', command = '')
      path    = Docker::PATH(app_path)
      name    = path.name

      image   = "jphager2/ruby-#{path.name}"
      flags = "-it --name ruby-irb-#{name} -v #{path}:/usr/src/app #{flags}" 

      docker_cmd = "docker run #{flags} #{image} #{command}" 

      Docker::Interactive.warn(docker_cmd)
      docker_cmd
    end
  end
end

